This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 6529 - if linuxconf can't understand /etc/named.conf it core dumps
if linuxconf can't understand /etc/named.conf it core dumps
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: linuxconf (Show other bugs)
6.1
i386 Linux
low Severity low
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-30 05:24 EDT by tom
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-12-15 16:00:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description tom 1999-10-30 05:24:42 EDT
On our new RH61 server we have a large /etc/named.conf
(around 3500 lines). Most of it has been written by hand
and the original was converted from 4.9.x format. When
we try and run linuxconf, it coredumps. If we remove the
/etc/named.conf file and run linuxconf it works.

But now that I'm filling out these bugsheet I can't
replicate the problem. I still have the core file however
(http://users.interact.net.au/~tom/linuxconf-rh61-core).
Comment 1 jack 1999-11-23 12:00:59 EST
Can you send me your named.conf so I can look at it. The problem might be
related to a zone file though.
Comment 2 tom 1999-11-24 18:57:59 EST
I've sent off my named.conf to jack, it's too big (and public) to go here.
Comment 3 jack 1999-11-30 11:32:59 EST
Linuxconf 1.16r10 has some fixes for the DNS which are solving this cases.
The listen-on directives was improperly parsed when the optional port
directive was used. Also, the allow-transfer did not accept a network
specification with the /subnet. It was only expecting a host.

It should be out today (nov 30). Check it out.
Comment 4 Michael K. Johnson 1999-12-02 14:01:59 EST
We are currently working on an errata release based on 1.16r10, and
we'll make a release after sufficient testing based on 1.16r10 or
later.
Comment 5 Dale Lovelace 1999-12-03 13:30:59 EST
Linuxconf-1.16r10 will take a total garbage /etc/named.conf file and try it's
darndest to parse it, but no core dumps :-)
Comment 6 Andrew Macpherson 1999-12-10 16:20:59 EST
I can reliably get a core dump with the short sequence
==================

options {
        directory "/var/named" ;
} ;

include "db/conf.db";
==================
where /var/named/db/conf.db exists
strace ended with:
lstat("/etc/named.conf", {st_mode=S_IFREG|0664, st_size=1469, ...}) = 0
open("/etc/named.conf", O_RDONLY)       = 19
fstat(19, {st_mode=S_IFREG|0664, st_size=1469, ...}) = 0
mmap(0, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x402e8000
read(19, "options {\n\tdirectory \"/var/named"..., 4096) = 1469
open("db/conf.db", O_RDONLY)            = -1 ENOENT (No such file or directory)
--- SIGSEGV (Segmentation fault) ---
+++ killed by SIGSEGV +++

Hope this helps trace the problemI can reliably get a core dump with the short sequence
==================

options {
        directory "/var/named" ;
} ;

include "db/conf.db";
==================
where /var/named/db/conf.db exists
strace ended with:
lstat("/etc/named.conf", {st_mode=S_IFREG|0664, st_size=1469, ...}) = 0
open("/etc/named.conf", O_RDONLY)       = 19
fstat(19, {st_mode=S_IFREG|0664, st_size=1469, ...}) = 0
mmap(0, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x402e8000
read(19, "options {\n\tdirectory \"/var/named"..., 4096) = 1469
open("db/conf.db", O_RDONLY)            = -1 ENOENT (No such file or directory)
--- SIGSEGV (Segmentation fault) ---
+++ killed by SIGSEGV +++

Hope this helps trace the problem
Comment 7 Michael K. Johnson 1999-12-15 16:00:59 EST
1.16r10-2 released, which is supposed to fix this bug.

Note You need to log in before you can comment on or make changes to this bug.